Loading ...
Sorry, an error occurred while loading the content.
 

Re: [pcgen] Problems switching from 5.16 to 5.17

Expand Messages
  • Andrew Wilson
    ... been properly updated, but it s making me hard to get things to work. You re using a development version, bits of it (the docs for example) aren t done
    Message 1 of 9 , Jun 6 5:20 AM
      On 6 June 2011 13:12, distant_scholar <adventure@...> wrote:

      > I'm not sure why the changes are not being publicized, or why the data
      > files haven't

      been properly updated, but it's making me hard to get things to work.


      You're using a development version, bits of it (the docs for example) aren't
      done yet.

      The data hasn't been "fixed" so that it still works with the previously
      released stable
      version and we can do OOC data releases.

      andrew


      [Non-text portions of this message have been removed]
    • Ragabash Moon
      I noticed that on the logs when I was loading the pathfinder books recently, the deprecated thing... if I overwrite with the OOC6 data will that be fixed, or
      Message 2 of 9 , Jun 6 6:43 AM
        I noticed that on the logs when I was loading the pathfinder books recently, the
        deprecated thing... if I overwrite with the OOC6 data will that be fixed, or are
        those changes still in the works?








        ________________________________
        From: Andrew Wilson <andrew@...>
        To: pcgen@yahoogroups.com
        Sent: Mon, June 6, 2011 7:20:22 AM
        Subject: Re: [pcgen] Problems switching from 5.16 to 5.17


        On 6 June 2011 13:12, distant_scholar <adventure@...> wrote:

        > I'm not sure why the changes are not being publicized, or why the data
        > files haven't

        been properly updated, but it's making me hard to get things to work.

        You're using a development version, bits of it (the docs for example) aren't
        done yet.

        The data hasn't been "fixed" so that it still works with the previously
        released stable
        version and we can do OOC data releases.

        andrew

        [Non-text portions of this message have been removed]




        [Non-text portions of this message have been removed]
      • Andrew Wilson
        ... They re still in OOC6. we could only release an OOC6 that works with 5.16.4 because we haven t updated the data to 5.17.whatever syntax yet. I believe
        Message 3 of 9 , Jun 6 6:50 AM
          On 6 June 2011 14:43, Ragabash Moon <RagabashMoon@...> wrote:

          > I noticed that on the logs when I was loading the pathfinder books
          > recently, the
          > deprecated thing... if I overwrite with the OOC6 data will that be fixed,
          > or are
          > those changes still in the works?


          They're still in OOC6. we could only release an OOC6 that works with 5.16.4
          because we haven't updated the data to 5.17.whatever syntax yet.

          I believe that the data team does not intend to update that until 6.0 is
          ready
          for release.

          andrew


          [Non-text portions of this message have been removed]
        • Ragabash Moon
          Ok, so what exactly does it mean? Does the commands not work anymore, or will it all still work just the logs are a note to change in the future?
          Message 4 of 9 , Jun 6 6:54 AM
            Ok, so what exactly does it mean? Does the commands not work anymore, or will it
            all still work just the logs are a note to change in the future?





            ________________________________
            From: Andrew Wilson <andrew@...>
            To: pcgen@yahoogroups.com
            Sent: Mon, June 6, 2011 8:50:35 AM
            Subject: Re: [pcgen] Problems switching from 5.16 to 5.17


            On 6 June 2011 14:43, Ragabash Moon <RagabashMoon@...> wrote:

            > I noticed that on the logs when I was loading the pathfinder books
            > recently, the
            > deprecated thing... if I overwrite with the OOC6 data will that be fixed,
            > or are
            > those changes still in the works?

            They're still in OOC6. we could only release an OOC6 that works with 5.16.4
            because we haven't updated the data to 5.17.whatever syntax yet.

            I believe that the data team does not intend to update that until 6.0 is
            ready
            for release.

            andrew

            [Non-text portions of this message have been removed]




            [Non-text portions of this message have been removed]
          • Barak
            ... Those will remain until we release the next stable. (This ensures backwards compatibility to stable versions for those who don’t keep up with every
            Message 5 of 9 , Jun 6 6:56 AM
              > -----Original Message-----
              > I noticed that on the logs when I was loading the pathfinder books recently,
              > the deprecated thing... if I overwrite with the OOC6 data will that be fixed, or
              > are those changes still in the works?

              Those will remain until we release the next stable. (This ensures backwards compatibility to stable versions for those who don’t keep up with every latest release).

              Barak
            • Ragabash Moon
              Ah ok cool... so then one more question... when you update to the next stable, will old characters be automatically updated when they are loaded, or will they
              Message 6 of 9 , Jun 6 7:09 AM
                Ah ok cool... so then one more question... when you update to the next stable,
                will old characters be automatically updated when they are loaded, or will they
                have to be recreated with the newer datasets?






                ________________________________
                From: Barak <barak@...>
                To: pcgen@yahoogroups.com
                Sent: Mon, June 6, 2011 8:56:19 AM
                Subject: RE: [pcgen] Problems switching from 5.16 to 5.17


                > -----Original Message-----
                > I noticed that on the logs when I was loading the pathfinder books recently,
                > the deprecated thing... if I overwrite with the OOC6 data will that be fixed,
                >or
                > are those changes still in the works?

                Those will remain until we release the next stable. (This ensures backwards
                compatibility to stable versions for those who don’t keep up with every latest
                release).

                Barak




                [Non-text portions of this message have been removed]
              • Martijn Verburg
                Auto-updated is the plan ... [Non-text portions of this message have been removed]
                Message 7 of 9 , Jun 6 7:11 AM
                  Auto-updated is the plan

                  On 6 June 2011 15:09, Ragabash Moon <RagabashMoon@...> wrote:

                  >
                  >
                  >
                  >
                  > Ah ok cool... so then one more question... when you update to the next
                  > stable,
                  > will old characters be automatically updated when they are loaded, or will
                  > they
                  > have to be recreated with the newer datasets?
                  >
                  > ________________________________
                  > From: Barak <barak@...>
                  > To: pcgen@yahoogroups.com
                  > Sent: Mon, June 6, 2011 8:56:19 AM
                  > Subject: RE: [pcgen] Problems switching from 5.16 to 5.17
                  >
                  > > -----Original Message-----
                  > > I noticed that on the logs when I was loading the pathfinder books
                  > recently,
                  > > the deprecated thing... if I overwrite with the OOC6 data will that be
                  > fixed,
                  > >or
                  > > are those changes still in the works?
                  >
                  > Those will remain until we release the next stable. (This ensures backwards
                  >
                  > compatibility to stable versions for those who don’t keep up with every
                  > latest
                  > release).
                  >
                  > Barak
                  >
                  > [Non-text portions of this message have been removed]
                  >
                  >
                  >


                  [Non-text portions of this message have been removed]
                • Barak
                  ... It means the tag is on the chopping block. :) Once it has been decided that a tag has to go, whatever new functionality is replacing it is put in place and
                  Message 8 of 9 , Jun 6 7:18 AM
                    > -----Original Message-----
                    > Ok, so what exactly does it mean? Does the commands not work anymore,
                    > or will it all still work just the logs are a note to change in the future?

                    It means the tag is on the chopping block. :)

                    Once it has been decided that a tag has to go, whatever new functionality is replacing it is put in place and the program is modified to give notice on load that the old tag is now deprecated. To give users who create their own data some time, that is left in place through one stable release. Even though it tosses out warnings, the tag(s) in question will still work.

                    In the following stable release the tag(s) functionality will be removed from the program and they will no longer function (and you should get warnings on load of this fact).

                    Barak
                  Your message has been successfully submitted and would be delivered to recipients shortly.